package com.zheng.demo;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import java.util.Date;

import org.junit.Before;
import org.junit.Test;

public class DateCompareTest {

	private Date copyFromNow;
	private Date now;
	private Date secondLater;

	@Test
	public void after() {
		assertTrue(secondLater.after(now));
	}

	@Test
	public void before() {
		assertTrue(now.before(secondLater));
		assertFalse(secondLater.before(now));
	}

	@Test
	public void compareTo() {
		int diff = secondLater.compareTo(now);
		assertTrue(diff > 0);

		diff = now.compareTo(secondLater);
		assertTrue(diff < 0);

		diff = now.compareTo(copyFromNow);
		assertTrue(diff == 0);
	}

	@Test
	public void equals() {
		assertTrue(now.equals(copyFromNow));
	}

	@Before
	public void setup() {
		now = new Date();
		copyFromNow = new Date(now.getTime());
		System.out.println("now:" + now);
		try {
			Thread.sleep(1000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}

		secondLater = new Date();
		System.out.println("secondLater:" + secondLater);
	}

}
