package com.zheng.demo;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import java.time.Instant;

import org.junit.Before;
import org.junit.Test;

public class InstantCompareTest {
	private Instant copyFromNow;
	private Instant now;
	private Instant secondLater;

	@Test
	public void compareTo() {	
		assertTrue(now.compareTo(secondLater) < 0);
		assertTrue(secondLater.compareTo(now) > 0);		
		assertTrue( now.compareTo(copyFromNow) == 0);
	}

	@Test
	public void equals() {
		assertTrue(now.equals( copyFromNow));
	}

	@Test
	public void isAfter() {	
		assertFalse(now.isAfter(secondLater));
		assertTrue(secondLater.isAfter(now));
	}
	
	@Test
	public void isBefore() {
		assertTrue(now.isBefore(secondLater));
		assertFalse(secondLater.isBefore(now));
	}
	
	@Before
	public void setup() {
		now = Instant.now();
		copyFromNow = Instant.from(now);
		secondLater = now.plusSeconds(1);
		System.out.println("now:" + now);
		System.out.println("secondLater:" + secondLater);
		try {
			Thread.sleep(1);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}

}
